%define packname waveslim

Summary: R module, Basic wavelet routines for 1,2 and 3-dimensional signal processing
Name: R-%{packname}
Version: 1.6
Release: 4%{?dist}
License: GPLv2+
Group: Applications/Engineering
Source0: ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{version}.tar.gz
URL: http://www.image.ucar.edu/staff/whitcher/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: R >= 1.9.0
BuildRequires: R >= 1.9.0, tetex-latex, gcc-gfortran


%description
Basic wavelet routines for time series (1D), image (2D)
and array (3D) analysis.  The code provided here is based on
wavelet methodology developed in Percival and Walden (2000);
Gencay, Selcuk and Whitcher (2001); the dual-tree complex wavelet
transform (CWT) from Kingsbury (1999, 2001) as implemented by
Selesnick; and Hilbert wavelet pairs (Selesnick 2001, 2002).  All
figures in chapters 4-7 of GSW (2001) are reproducible using this
package and R code available at the book website(s) below.

%prep
%setup -q -n %{packname}

%build

%install
%{__rm} -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/R/library
cd ..; R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
%{__rm} -rf %{buildroot}%{_libdir}/R/library/R.css

%check
cd ..;%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%post
%{__cat} %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%postun
%{__cat} %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%files
%defattr(-, root, root, -)
%{_libdir}/R/library/%{packname}
%doc DESCRIPTION

%changelog
* Mon Aug 27 2007 José Matos <jamatos[AT]fc.up.pt> - 1.6-4
- License fix, rebuild for devel (F8).

* Thu Apr 26 2007 José Matos <jamatos[AT]fc.up.pt> - 1.6-3
- Create install dir.

* Thu Apr 26 2007 José Matos <jamatos[AT]fc.up.pt> - 1.6-2
- Rebuild for R 2.5.

* Sat Apr 21 2007 José Matos <jamatos[AT]fc.up.pt> - 1.6-1
- New upstream version.

* Tue Oct 17 2006 José Matos <jamatos[AT]fc.up.pt> - 1.5-5
- Rebuild for R 2.4.0.

* Thu Sep 14 2006 José Matos <jamatos[AT]fc.up.pt> - 1.5-4
- Rebuild for FC6.

* Sun Jun  4 2006 José Matos <jamatos[AT]fc.up.pt> - 1.5-3
- Rebuild for R-2.3.x

* Wed Mar 08 2006 José Matos <jamatos[AT]fc.up.pt> 1.5-2
- Rename License to GPL only, add gfortran as BR, add DESCRIPTION to %%doc

* Fri Mar 03 2006 José Matos <jamatos[AT]fc.up.pt> 1.5-1
- Initial package creation
